summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2014-07-31 14:59:48 +0000
committerBartłomiej Piotrowski <bpiotrowski@alpinelinux.org>2014-08-01 10:50:11 +0200
commit54223b8848cf1a89fd6ce4a3086b6892e62cdce0 (patch)
tree310cdd646b615b8cdef1df8ed4928a78e60d8806
parent5161e7f8335885bbf4443a03516db2f38c7e7845 (diff)
downloadaports-54223b8848cf1a89fd6ce4a3086b6892e62cdce0.tar.bz2
aports-54223b8848cf1a89fd6ce4a3086b6892e62cdce0.tar.xz
main/protobuf-c: upgrade to 1.0.0
-rw-r--r--main/protobuf-c/APKBUILD19
1 files changed, 11 insertions, 8 deletions
diff --git a/main/protobuf-c/APKBUILD b/main/protobuf-c/APKBUILD
index 137a85552..2f812b0a0 100644
--- a/main/protobuf-c/APKBUILD
+++ b/main/protobuf-c/APKBUILD
@@ -1,6 +1,6 @@
# Maintainer: Leonardo Arena <rnalrd@gmail.com>
pkgname=protobuf-c
-pkgver=0.15
+pkgver=1.0.0
pkgrel=0
pkgdesc="C bindings for Google's Protocol Buffers"
url="https://github.com/protobuf-c/protobuf-c/wiki"
@@ -11,8 +11,7 @@ depends_dev=
makedepends="$depends_dev protobuf-dev"
install=
subpackages="$pkgname-dev"
-source="http://protobuf-c.googlecode.com/files/$pkgname-$pkgver.tar.gz"
-
+source="https://github.com/protobuf-c/protobuf-c/releases/download/v$pkgver/protobuf-c-$pkgver.tar.gz"
_builddir="$srcdir"/$pkgname-$pkgver
@@ -26,8 +25,12 @@ build() {
./configure --prefix=/usr \
--sysconfdir=/etc \
--mandir=/usr/share/man \
- --infodir=/usr/share/info
- make || return 1
+ --infodir=/usr/share/info \
+ || return 1
+
+ # parallel build issue:
+ # https://github.com/protobuf-c/protobuf-c/issues/156
+ make t/test-full.pb.h && make || return 1
}
package() {
@@ -36,6 +39,6 @@ package() {
find "$pkgdir" -iname *.la -delete
}
-md5sums="73ff0c8df50d2eee75269ad8f8c07dc8 protobuf-c-0.15.tar.gz"
-sha256sums="8fcb538e13a5431c46168fc8f2e6ad2574e2db9b684c0c72b066e24f010a0036 protobuf-c-0.15.tar.gz"
-sha512sums="a51b9977ca4a6a73dffe92c7f8f5526f5dd3561b5139df290bafe5093d0fd6ace701d9fa1ee92a9dc8394960efd48f739c44ac17a74a7acd8c365d63e6312e9e protobuf-c-0.15.tar.gz"
+md5sums="e8485b35bb8c9ff0a89a3df957976fc8 protobuf-c-1.0.0.tar.gz"
+sha256sums="de453698d693bd1a3842759964d436e66a7afee18f3be1e324b7b74e8c0eaaea protobuf-c-1.0.0.tar.gz"
+sha512sums="437805ea6416f9dddc207063c7ddc997df351de87ee094cfd30bb605002f2b0ee9def2fbd088e96876ca7c460eb334f8942ed5a8e6cac32c6ef9974f225bc1d4 protobuf-c-1.0.0.tar.gz"